def gravityEffect(constant):
    def closure(host,gues):
        deltaX,deltaY = gues.getDelta(host)
        dist = gues.getDistSQ(host)**0.5
        return gues.push(constant*deltaX/dist,constant*deltaY/dist)
    return closure

def airDragEffect(coefficient):
    def closure(host,gues):
        return gues.restrain(coefficient)
    return closure

def nothing(host,gues):
    return gues
    
suite = {
    #'highGravityEffect':gravityEffect(-0.08),
    'highGravityEffect':nothing,
    'airDragEffect':airDragEffect
}
